// Java class com.proton.gopenpgp.helper.Helper is a proxy for talking to a Go program.
//   gobind -lang=java -javapkg=com.proton.gopenpgp github.com/ProtonMail/gopenpgp/v2/helper
//
// File is generated by gobind. Do not edit.
package com.proton.gopenpgp.helper;

import go.Seq;

public abstract class Helper {
	static {
		Seq.touch(); // for loading the native library
		com.proton.gopenpgp.crypto.Crypto.touch();
		_init();
	}
	
	private Helper() {} // uninstantiable
	
	// touch is called from other bound packages to initialize this package
	public static void touch() {}
	
	private static native void _init();
	
	
	
	/**
	 * DecryptAttachment takes a keypacket and datpacket
	and returns a decrypted PlainMessage
	Specifically designed for attachments rather than text messages.
	 */
	public static native com.proton.gopenpgp.crypto.PlainMessage decryptAttachment(byte[] keyPacket, byte[] dataPacket, com.proton.gopenpgp.crypto.KeyRing keyRing) throws Exception;
	/**
	 * DecryptVerifyMessageArmored decrypts an armored PGP message given a private key and its passphrase
	and verifies the embedded signature.
	Returns the plain data or an error on signature verification failure.
	 */
	public static native ExplicitVerifyMessage decryptExplicitVerify(com.proton.gopenpgp.crypto.PGPMessage pgpMessage, com.proton.gopenpgp.crypto.KeyRing privateKeyRing, com.proton.gopenpgp.crypto.KeyRing publicKeyRing, long verifyTime) throws Exception;
	/**
	 * DecryptMessageArmored decrypts an armored PGP message given a private key and its passphrase
	 */
	public static native String decryptMessageArmored(String privateKey, byte[] passphrase, String ciphertext) throws Exception;
	/**
	 * DecryptMessageWithPassword decrypts an armored message with a random token.
	The algorithm is derived from the armoring.
	 */
	public static native String decryptMessageWithPassword(byte[] password, String ciphertext) throws Exception;
	/**
	 * DecryptVerifyAttachment decrypts and verifies an attachment split into the keyPacket, dataPacket
	and an armored (!) signature, given a publicKey, and a privateKey with its passphrase.
	Returns the plain data or an error on signature verification failure.
	 */
	public static native byte[] decryptVerifyAttachment(String publicKey, String privateKey, byte[] passphrase, byte[] keyPacket, byte[] dataPacket, String armoredSignature) throws Exception;
	/**
	 * DecryptVerifyMessageArmored decrypts an armored PGP message given a private key and its passphrase
	and verifies the embedded signature.
	Returns the plain data or an error on signature verification failure.
	 */
	public static native String decryptVerifyMessageArmored(String publicKey, String privateKey, byte[] passphrase, String ciphertext) throws Exception;
	/**
	 * EncryptAttachment encrypts a file given a plainData and a fileName.
	Returns a PGPSplitMessage containing a session key packet and symmetrically encrypted data.
	Specifically designed for attachments rather than text messages.
	 */
	public static native com.proton.gopenpgp.crypto.PGPSplitMessage encryptAttachment(byte[] plainData, String fileName, com.proton.gopenpgp.crypto.KeyRing keyRing) throws Exception;
	/**
	 * EncryptMessageArmored generates an armored PGP message given a plaintext and an armored public key
	 */
	public static native String encryptMessageArmored(String key, String plaintext) throws Exception;
	/**
	 * EncryptMessageWithPassword encrypts a string with a passphrase using AES256
	 */
	public static native String encryptMessageWithPassword(byte[] password, String plaintext) throws Exception;
	/**
	 * EncryptSignMessageArmored generates an armored signed PGP message given a plaintext and an armored public key
	a private key and its passphrase
	 */
	public static native String encryptSignMessageArmored(String publicKey, String privateKey, byte[] passphrase, String plaintext) throws Exception;
	/**
	 * GenerateKey generates a key of the given keyType (&#34;rsa&#34; or &#34;x25519&#34;), encrypts it, and returns an armored string.
	If keyType is &#34;rsa&#34;, bits is the RSA bitsize of the key.
	If keyType is &#34;x25519&#34; bits is unused.
	 */
	public static native String generateKey(String name, String email, byte[] passphrase, String keyType, long bits) throws Exception;
	/**
	 * SignCleartextMessage signs text given a private keyring, canonicalizes and trims the newlines,
	and returns the PGP-compliant special armoring
	 */
	public static native String signCleartextMessage(com.proton.gopenpgp.crypto.KeyRing keyRing, String text) throws Exception;
	/**
	 * SignCleartextMessageArmored signs text given a private key and its passphrase, canonicalizes and trims the newlines,
	and returns the PGP-compliant special armoring
	 */
	public static native String signCleartextMessageArmored(String privateKey, byte[] passphrase, String text) throws Exception;
	/**
	 * UpdatePrivateKeyPassphrase decrypts the given armored privateKey with oldPassphrase,
	re-encrypts it with newPassphrase, and returns the new armored key.
	 */
	public static native String updatePrivateKeyPassphrase(String privateKey, byte[] oldPassphrase, byte[] newPassphrase) throws Exception;
	/**
	 * VerifyCleartextMessage verifies PGP-compliant armored signed plain text given the public keyring
	and returns the text or err if the verification fails
	 */
	public static native String verifyCleartextMessage(com.proton.gopenpgp.crypto.KeyRing keyRing, String armored, long verifyTime) throws Exception;
	/**
	 * VerifyCleartextMessageArmored verifies PGP-compliant armored signed plain text given the public key
	and returns the text or err if the verification fails
	 */
	public static native String verifyCleartextMessageArmored(String publicKey, String armored, long verifyTime) throws Exception;
}
